# 项目相关配置
cpop:
  # 名称
  name: Cpop-Mall
  # 版本
  version: 1.0.0
  #JWT
  jwt:
    #密钥
    secret: abcdefghijklmnopqrstuvwxyz
    #过期时间(半天)
    expire: 43200
    #token头
    header: Authorization
  #拦截
  gateway:
    rsa-keypair:
      # 加密方式
      algorithm: RSA
      # 初始化大小
      keySize: 2048

#Spring
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  servlet:
    multipart:
      #文件最大传输
      max-file-size: 1024MB
      max-request-size: 300MB
  profiles:
    active: dev,core,pay
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    #hikari数据源特性配置
    hikari:
      #最大连接数,默认值10.
      maximum-pool-size: 10
      #最小空闲连接，默认值10.
      minimum-idle: 10
      #连接超时时间(毫秒),默认值30秒.
      connection-timeout: 30000
      #空闲连接超时时间，默认值600000(10分钟),只有空闲连接数大于最大连接数且空闲时间超过该值，才会被释放；如果大于等于 max-lifetime 且 max-lifetime>0,则会被重置为0.
      idle-timeout: 600000
      #连接最大存活时间,默认值30分钟.设置应该比mysql设置的超时时间短
      max-lifetime: 3000000
      #连接测试查询
      connection-test-query: select 1
  messages:
    #i18n
    basename: static/i18n/messages
    encoding: UTF-8
    cacheDuration: 3600
  quartz:
    job-store-type: jdbc
    jdbc:
      initialize-schema: embedded
    #定时任务启动开关，true-开  false-关
    auto-startup: true
    #延迟1秒启动定时任务
    startup-delay: 1s
    #启动时更新己存在的Job
    overwrite-existing-jobs: true
    properties:
      org:
        quartz:
          scheduler:
            instanceName: CpopMallScheduler
            instanceId: AUTO
          jobStore:
            class: org.springframework.scheduling.quartz.LocalDataSourceJobStore
            driverDelegateClass: org.quartz.impl.jdbcjobstore.StdJDBCDelegate
            tablePrefix: QRTZ_
            isClustered: false
            misfireThreshold: 12000
            clusterCheckinInterval: 15000
          threadPool:
            class: org.quartz.simpl.SimpleThreadPool
            threadCount: 1
            threadPriority: 5
            threadsInheritContextClassLoaderOfInitializingThread: true

#Mybatis-Flex
mybatis-flex:
  global-config:
    key-config:
      key-type: generator
      value: snowFlakeId
    # 逻辑删除数据存在标记值 默认值:0
    normal-value-of-logic-delete: 0
    # 逻辑删除数据删除标记值 默认值:0
    deleted-value-of-logic-delete: 1
    # 全局逻辑删除默认字段
    logic-delete-column: is_delete

# 线程池配置参数
task:
  pool:
    # 设置核心线程数
    corePoolSize: 10
    # 设置最大线程数
    maxPoolSize: 20
    # 设置空闲线程存活时间（秒
    keepAliveSeconds: 300
    # 设置队列容量
    queueCapacity: 1024
    # 设置线程名称前缀
    threadNamePrefix: "Cpop-Mall-AsyncNotify-"
    # 设置线程池等待终止时间(秒)
    awaitTerminationSeconds: 60

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes:
  # 匹配链接
  urlPatterns: /mall/*

logging:
  level:
    #swagger日志
    springfox: error

#微信
wx:
  #微信支付
  pay:
    #微信公众号或者小程序等的appid
    appId: wx20853d18c455e874
    #微信支付商户号
    mchId: 1618884922
    #微信支付商户密钥
    mchKey: JamBox20230919174000000000000002
    apiV3Key: JamBox20230919174000000000000002
    #分账服务商账号
    sharingAccount: 1618884922
    sharingAccountName: 果酱盒子
